This file is part of MXE. See LICENSE.md for licensing information.

Contains ad hoc patches for cross building.

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Tony Theodore <tonyt@logyst.com>
Date: Mon, 14 Dec 2020 15:09:00 +1100
Subject: [PATCH 1/2] optionally build docs


diff --git a/cmake/QtBaseHelpers.cmake b/cmake/QtBaseHelpers.cmake
index 1111111..2222222 100644
--- a/cmake/QtBaseHelpers.cmake
+++ b/cmake/QtBaseHelpers.cmake
@@ -205,7 +205,9 @@ macro(qt_internal_qtbase_build_repo)
         qt_internal_set_up_config_optimizations_like_in_qmake()
 
         ## Setup documentation
-        add_subdirectory(doc)
+        if(QT_BUILD_DOCS)
+            add_subdirectory(doc)
+        endif()
 
         ## Visit all the directories:
         add_subdirectory(src)

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Mark Brand <mabrand@mabrand.nl>
Date: Mon, 14 Feb 2022 00:44:19 +0100
Subject: [PATCH 2/2] help openssl detection


diff --git a/cmake/FindWrapOpenSSL.cmake b/cmake/FindWrapOpenSSL.cmake
index 1111111..2222222 100644
--- a/cmake/FindWrapOpenSSL.cmake
+++ b/cmake/FindWrapOpenSSL.cmake
@@ -21,7 +21,7 @@ if(TARGET OpenSSL::SSL)
         else()
             set(writableLib OpenSSL::Crypto)
         endif()
-        set_property(TARGET ${writableLib} APPEND PROPERTY INTERFACE_LINK_LIBRARIES ws2_32 crypt32)
+        set_property(TARGET ${writableLib} APPEND PROPERTY INTERFACE_LINK_LIBRARIES -lssl -lcrypto -lz -lws2_32 -lgdi32 -lcrypt32)
         unset(libType)
         unset(writableLib)
     endif()
